Unit tzp11r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, ZP11R_p;

function tzp11r: String;

implementation

function tzp11r: String;
var
NP,_i,IERR :Integer;
//ROOT :Array [0..2] of Complex;
ROOT :Array [0..5] of Real;
RAB :Array [0..27] of Real;
const
A :Array [0..3] of Real = ( -2.0,4.0,-3.0,1.0 );
begin
Result := '';  {   }
NP := 3;
ZP11R(NP,A,ROOT,RAB,IERR);
Result := Result + Format(' %5d %5d ',[IERR,NP]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 3 do
 begin
  Result := Result + Format('%20.16f ',[A[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
//for _i:=0 to 2 do
// begin
//  Result := Result + Format('%20.16f %20.16f ',
// [ROOT[_i].re,ROOT[_i].im]);
//  if ( ((_i+1) mod 2)=0 )
//   then Result := Result + #$0D#$0A;
// end;
for _i:=0 to 5 do
 begin
  Result := Result + Format('%20.16f ',[ROOT[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 27 do
 begin
  Result := Result + Format('%20.16f ',[RAB[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tzp11r',Result);  {     tzp11r.res }
exit;
end;

end.
